#include "common.h"
#include <library/cpp/logger/global/global.h>

const ui32 REMAP_NOWHERE = Max<ui32>();

bool TRTYMergerAddress::IsRemoved() const {
    VERIFY_WITH_LOG(!((DocId == REMAP_NOWHERE) ^ (ClusterId == REMAP_NOWHERE)), "Incorrect remap data: %d, %d", DocId, ClusterId);
    return DocId == REMAP_NOWHERE || ClusterId == REMAP_NOWHERE;
}
